#ifndef __main_h
#define __main_h

int main(int argc, char *argv[]);

void init_filed(void);
void parse_options(int argc, char *argv[]);
void handle_timing(void);
void die(void);
void setup_signals(void);
void sighup(int sig);
void sigterm(int sig);
void usage(void);
void version(void);
int get_id(void);
void scan_filesystems(void);

#define VERSION "0.10rc1"

/* debug flags */

#define DEBUG_CON 1
#define DEBUG_CODE 2
#define DEBUG_THREAD 4
#define DEBUG_IO 8
#define DEBUG_HB 16
#define DEBUG_IPC 32
#define DEBUG_DB 64
#define DEBUG_MAIN 128
#define DEBUG_PEER 256
#define DEBUG_FILE 512
#define DEBUG_STATION 1024


#endif
