#ifndef __sys_h
#define __sys_h

#include "parse.h"
#include "filed.h"

int get_load(void);
int not_overloaded(void);
int get_shmmax(void);
int get_avail_shmem(void);
int put_shmmax(int need);
int grow_shmem(void);
int get_shmem(void);
char *get_hostname(void);
int test_open(char *filename);

char *translate_string(char *string);
char *get_debug_string(int d);
int build_debug_flags(struct parse *p);

#endif
